#ifndef INC_GTKNOB_H
#define INC_GTKNOB_H

#include "gtwidget.h"

/************************************************************************\
*
* GtKnob class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtKnob : public GtWidget
{
public:
		/* Standard */
	GtKnob(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtKnob"); }
	sbool IsSubClassOf(char *cn);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
	sbool Mouse(XEvent *xe);
protected:
		/* Instance variables */
	word xoff,yoff;
	ubyte bdrw;
	sbool down;
};

extern GtKnob *GtMkKnob(char *n,GtManager *p,GtTag *tgs);
extern GtKnob *GtMkKnob(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTKNOB_H */
